LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-19-2016, 04:10 AM   #1
jassonmc
LQ Newbie
 
Registered: Apr 2016
Location: Zurich
Distribution: CentOS7
Posts: 6

Rep: Reputation: Disabled
Cannot update CentOS 7 Python 2.7.5-34.el7 to 2.7.5-38.el7_2


Hey guys

I just wanted to apply the Python update released just yesterday August 18.
Unfortunately it fails at the dependencies, see below.
The server is an up to date CentOS 7 that's used as a Zarafa 7.2.1 mail server.
I don't really think that my issue is server specific, which is why I didn't place my question in the server forum.

Any hint is greatly appreciated :-)

EDIT:
I figured that under /bin I do have 2 links to python2.7 folder. Maybe the Zarafa mail server installation does indeed interfere here...

/bin
lrwxrwxrwx. 1 root root 7 Feb 24 21:37 python -> python2
lrwxrwxrwx. 1 root root 9 Feb 24 21:37 python2 -> python2.7
-rwxr-xr-x. 1 root root 7136 Nov 20 2015 python2.7

Cheers
Juri


[root@mail1 ~]# yum check-updates
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.spreitzer.ch
* extras: mirror.spreitzer.ch
* updates: mirror.spreitzer.ch

python.x86_64 2.7.5-38.el7_2 updates
python-libs.x86_64 2.7.5-38.el7_2 updates

[root@mail1 ~]# yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.spreitzer.ch
* extras: mirror.spreitzer.ch
* updates: mirror.spreitzer.ch
Resolving Dependencies
--> Running transaction check
---> Package python.x86_64 0:2.7.5-34.el7 will be updated
---> Package python.x86_64 0:2.7.5-38.el7_2 will be an update
---> Package python-libs.x86_64 0:2.7.5-34.el7 will be updated
---> Package python-libs.x86_64 0:2.7.5-38.el7_2 will be an update
--> Processing Dependency: /bin/python for package: python-tlslite-0.4.6-1.7.noarch
--> Finished Dependency Resolution
Error: Package: python-tlslite-0.4.6-1.7.noarch (@/python-tlslite-0.4.6-1.7.noarch)
Requires: /bin/python
Removing: python-2.7.5-34.el7.x86_64 (@anaconda)
Not found
Updated By: python-2.7.5-38.el7_2.x86_64 (updates)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

[root@mail1 ~]# rpm -qa | grep python-tlslite
python-tlslite-0.4.6-1.7.noarch
python-tlslite-doc-0.4.6-1.7.noarch

Last edited by jassonmc; 08-19-2016 at 05:57 AM.
 
Old 08-19-2016, 09:09 PM   #2
AlucardZero
Senior Member
 
Registered: May 2006
Location: USA
Distribution: Debian
Posts: 4,824

Rep: Reputation: 615Reputation: 615Reputation: 615Reputation: 615Reputation: 615Reputation: 615
Does /bin/python exist?
Maybe reinstall python first
 
Old 08-22-2016, 02:44 AM   #3
jassonmc
LQ Newbie
 
Registered: Apr 2016
Location: Zurich
Distribution: CentOS7
Posts: 6

Original Poster
Rep: Reputation: Disabled
Nope, there is only a link python -> python2 and another link python2 -> python2.7. The real python package is under /bin/python2.7
I am somewhat reluctant to reinstall python, because I think that this python version linking is there for a reason...
Since I do have the necessary python-tlslite package installed, just not under /bin/python, but a link pointing at it, is there a way to instruct yum to look elsewhere for the dependency?
 
Old 09-09-2016, 08:14 AM   #4
jassonmc
LQ Newbie
 
Registered: Apr 2016
Location: Zurich
Distribution: CentOS7
Posts: 6

Original Poster
Rep: Reputation: Disabled
I finally solved it. It was indeed the Zarafa installation causing the issue. I removed the failing dependency python-tlslite and it's 3 dependencies, ran yum update to update python and reinstalled the just removed 4 packages. All fine now :-)

Cheers
Juri
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Centos 7 - kernel-3.10.0-229.1.2.el7.x86_64 blocking PPTP gre packets daveginorge CentOS 5 11-06-2015 01:25 AM
Unable to access CentOS setup Network Configuration after attempting Python update crmpicco Linux - Networking 1 06-28-2014 02:25 AM
Installing Python 2.7.2 and python-devel on CentOS 5.7 iwitham Linux - Software 1 03-21-2012 05:14 PM
python update - Unable to load GTK2 Python bindings: No module named gtk itpedersen Linux - Software 2 10-03-2008 03:44 AM
python: can you update the current shell from python? BrianK Programming 4 01-31-2008 12:18 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 06:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration